<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.2.8
Name: Risiken
Description: Wird ausschließlich als Untersektion zu einer fachlichen Sektion angewandt. Enthält die Risiken zum Thema der übergeordneten Sektion als narrative Beschreibung oder Auflistung.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.1.2.8-2011-12-19T000000">
   <title>Risiken</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]
Item: (Risiken)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section
Item: (Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section"
         id="tmp-e1460d5f-1be1-4206-8d29-9cba3d6fe319">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.8'])&gt;=1 ">(Risiken): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.8'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.2.8'])&lt;=1">(Risiken): Element hl7:templateId[@root='1.2.40.0.34.11.1.2.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Risiken): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(Risiken): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 ">(Risiken): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(Risiken): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 ">(Risiken): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(Risiken): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.8']
Item: (Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.1.2.8']"
         id="tmp-4be4ef02-bf41-40b6-ada2-04db77b5a567">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Risiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1.2.8'">(Risiken): @root MUSS den Wert '1.2.40.0.34.11.1.2.8' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:code
Item: (Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:code"
         id="tmp-b7dd1301-3e98-4bbe-b861-1b47d0f8d950">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Risiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="@nullFlavor or (@code='51898-5' and @codeSystem='2.16.840.1.113883.6.1')">(Risiken): Der Elementinhalt MUSS sein code '51898-5' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:title
Item: (Risiken)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:title"
         id="tmp-65b5872e-71bf-4f44-bd5b-bffc5ddaa8dc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Risiken): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.2.8-2011-12-19T000000.html"
              test="text()='Risiken'">(Risiken): Der Elementinhalt von 'hl7:title' MUSS ''Risiken'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]/hl7:section/hl7:text
Item: (Risiken)
-->
</pattern>
