<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.1.3.2
Name: Logo Entry
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.1.3.2-2011-12-19T000000">
   <title>Logo Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]
Item: (LogoEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]"
         id="tmp-029f111b-82d5-40e8-9016-f2832bd437b4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:observationMedia)&gt;=1 ">(LogoEntry): Element hl7:observationMedia ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:observationMedia)&lt;=1">(LogoEntry): Element hl7:observationMedia kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia
Item: (LogoEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia"
         id="tmp-db207282-fa1d-44b5-84fc-694d70ee69a4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@classCode)='OBS'">(LogoEntry): Der Wert von @classCode MUSS 'OBS' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@moodCode)='EVN'">(LogoEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.2'])&gt;=1 ">(LogoEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.2'])&lt;=1">(LogoEntry): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(LogoEntry): Element hl7:value ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="count(hl7:value)&lt;=1">(LogoEntry): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.2']
Item: (LogoEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia/hl7:templateId[@root='1.2.40.0.34.11.1.3.2']"
         id="tmp-56267e86-df06-4d7b-8093-2706f5c3db02">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LogoEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1.3.2'">(LogoEntry): @root MUSS den Wert '1.2.40.0.34.11.1.3.2' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.1.3.2
Context: *[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia/hl7:value
Item: (LogoEntry)
-->

<rule context="*[hl7:observationMedia[hl7:templateId/@root='1.2.40.0.34.11.1.3.2']]/hl7:observationMedia/hl7:value"
         id="tmp-7dfc92bc-8079-4a5f-98e4-a9d27a64d793">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LogoEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ED" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@mediaType)='image/png' or string(@mediaType)='image/jpeg'">(LogoEntry): Der Wert von @mediaType MUSS einer der folgenden Kodes enthalten: image/png', 'image/jpeg.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.1.3.2-2011-12-19T000000.html"
              test="string(@representation)='B64'">(LogoEntry): Der Wert von @representation MUSS 'B64' sein.</assert>
   </rule>
</pattern>
