<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.5
Name: Letzte Medikation
Description: Die zuletzt im Spital gegebene Medikation.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.2.2.5-2011-12-19T000000">
   <title>Letzte Medikation</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]
Item: (LetzteMedikation)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section
Item: (LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section"
         id="tmp-f6fa6b0e-0c51-4ca2-a448-8c3c8a28cc8d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.5'])&gt;=1 ">(LetzteMedikation): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.5'])&lt;=1">(LetzteMedikation): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LetzteMedikation): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(LetzteMedikation): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 ">(LetzteMedikation): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(LetzteMedikation): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 ">(LetzteMedikation): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(LetzteMedikation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.5']
Item: (LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.5']"
         id="tmp-151a9abf-8abe-4dda-ad11-ee752c1d5f28">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LetzteMedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.2.2.5'">(LetzteMedikation): @root MUSS den Wert '1.2.40.0.34.11.2.2.5' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:code
Item: (LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:code"
         id="tmp-9c84d50b-476a-4690-96ad-41e906e82d97">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LetzteMedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="@nullFlavor or (@code='10160-0' and @codeSystem='2.16.840.1.113883.6.1')">(LetzteMedikation): Der Elementinhalt MUSS sein code '10160-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:title
Item: (LetzteMedikation)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:title"
         id="tmp-c923757b-9432-4217-9051-75e24a3a288e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LetzteMedikation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.2.2.5-2011-12-19T000000.html"
              test="text()='Letzte Medikation'">(LetzteMedikation): Der Elementinhalt von 'hl7:title' MUSS ''Letzte Medikation'' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.5
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.5']]/hl7:section/hl7:text
Item: (LetzteMedikation)
-->
</pattern>
