<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.3.1
Name: Laboratory Specimen Entry
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.4.3.1-2013-02-10T000000">
   <title>Laboratory Specimen Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]
Item: (LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry"
         id="tmp-ce7ea117-37ef-43f3-ae0d-a2b4c109d584">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&gt;=1 ">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&lt;=1">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:templateId[@root='1.2.40.0.34.11.4.3.1']"
         id="tmp-48139969-c6a1-48d4-8ab4-15b0c67f5445">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="string(@root)='1.2.40.0.34.11.4.3.1'">(LaboratorySpecimenEntry): @root MUSS den Wert '1.2.40.0.34.11.4.3.1' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]"
         id="tmp-e670d402-3ca1-4ef7-badd-8e32757413f1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="string(@classCode)='ACT'">(LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="string(@moodCode)='EVN'">(LaboratorySpecimenEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="count(hl7:code)&lt;=1">(LaboratorySpecimenEntry): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]])&gt;=1 and not(hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:code
Item: (LaboratorySpecimenEntry)
-->

<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:code"
         id="tmp-11bf45e4-26f0-4e7d-ae18-3f3193b64e33">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.4.3.1-2013-02-10T000000.html"
              test="@nullFlavor or (@code='10' and @codeSystem='1.2.40.0.34.5.11')">(LaboratorySpecimenEntry): Der Elementinhalt MUSS sein code '10' codeSystem '1.2.40.0.34.5.11'.</assert>
   </rule>


   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (LaboratorySpecimenEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (SpecimenCollection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure"
         id="tmp-00b69ed3-774c-4a95-8856-7b17e00f6a8b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@classCode)='PROC'">(SpecimenCollection): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@moodCode)='EVN'">(SpecimenCollection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&gt;=1 ">(SpecimenCollection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&lt;=1">(SpecimenCollection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(SpecimenCollection): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:code)&lt;=1">(SpecimenCollection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(SpecimenCollection): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(SpecimenCollection): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:targetSiteCode)&lt;=1">(SpecimenCollection): Element hl7:targetSiteCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:perfomer)&lt;=1">(SpecimenCollection): Element hl7:perfomer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(SpecimenCollection): Element hl7:participant ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:participant)&lt;=1">(SpecimenCollection): Element hl7:participant kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']"
         id="tmp-00fd0e80-e977-40ed-b312-6f4122f5c51b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.1.2'">(SpecimenCollection): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.1.2' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:code
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:code"
         id="tmp-be916d55-712a-4b67-993a-bb511464ecad">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or (@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')">(SpecimenCollection): Der Elementinhalt MUSS sein code '33882-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:effectiveTime
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:effectiveTime"
         id="tmp-3038fc71-cb8a-4b90-88a4-53b204f50158">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "IVL_TS" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(SpecimenCollection): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:low)&lt;=1">(SpecimenCollection): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(SpecimenCollection): Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:high)&lt;=1">(SpecimenCollection): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:effectiveTime/hl7:low
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:effectiveTime/hl7:low"
         id="tmp-06697053-0898-4946-b9a1-05ac31d10715">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TS.DATE.MIN" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:effectiveTime/hl7:high
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:effectiveTime/hl7:high"
         id="tmp-bd1b34e7-0059-49f0-b91b-0f0bc1296aee">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TS.DATE.MIN" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:targetSiteCode
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:targetSiteCode"
         id="tmp-ee74c77f-5a4c-4fb1-a90a-a9f192c5cceb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CD" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-1.2.40.0.34.10.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-1.2.40.0.34.10.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SpecimenCollection): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_HumanActSite (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SpecimenCollection): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_HumanActSite (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer"
         id="tmp-7b84354d-b850-4b1d-ba26-c66f4e8e9431">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@typeCode)='PRF'">(SpecimenCollection): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(SpecimenCollection): Element hl7:assignedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(SpecimenCollection): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity"
         id="tmp-7e720ce8-5336-4b9c-8140-cf628216ed1f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(SpecimenCollection): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(SpecimenCollection): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(SpecimenCollection): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(SpecimenCollection): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(SpecimenCollection): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity
Item: (AssignedEntityElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:id"
         id="tmp-b1b5b4f3-6a13-4e79-b70e-7e34d9149fc4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:addr"
         id="tmp-5c173276-395d-4dfc-982b-0dc155f10030">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "AD" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:telecom"
         id="tmp-f43c0c86-9ef7-418b-a408-935ff7ae0777">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TEL" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-93bff898-dfaf-493a-af59-a178316d888d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AssignedEntityElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&lt;=1">(AssignedEntityElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-f545649e-cbeb-4932-bcc0-5eec0f70fc40">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "PN" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (AssignedEntityElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-3807c7d9-2035-464c-9c87-526a6dccd406">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AssignedEntityElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&lt;=1">(AssignedEntityElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(AssignedEntityElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-db863d81-a7d5-492a-8721-7ef914a0ee92">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-0da33b05-7b0c-4a18-b779-979bc30f5559">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ON" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-80e41cbd-3e32-44ea-9d75-ee6209eeaaa5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TEL" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:perfomer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-0387da72-5fc5-4c67-9f35-42ec1247647d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "AD" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:participant
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:participant"
         id="tmp-06cee636-4b68-49ee-bdbf-8b21231c2319">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@typeCode)='PRD'">(SpecimenCollection): Der Wert von @typeCode MUSS 'PRD' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:participantRole)&gt;=1 and not(hl7:participantRole/@nullFlavor)">(SpecimenCollection): Element hl7:participantRole ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:participantRole)&lt;=1">(SpecimenCollection): Element hl7:participantRole kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]"
         id="tmp-ab11ebac-08fd-4033-9ffe-d654bd3d9c21">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="string(@classCode)='SPEC'">(SpecimenCollection): Der Wert von @classCode MUSS 'SPEC' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(SpecimenCollection): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(SpecimenCollection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:playingEntity)&gt;=1 and not(hl7:playingEntity/@nullFlavor)">(SpecimenCollection): Element hl7:playingEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(SpecimenCollection): Element hl7:playingEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:id
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:id"
         id="tmp-ff2760ed-d0af-429a-a367-cfb8f2b5c552">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:playingEntity
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:playingEntity"
         id="tmp-bbfa8d24-6938-46ad-b6a5-9f7d8cf0e226">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(SpecimenCollection): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="count(hl7:code)&lt;=1">(SpecimenCollection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:playingEntity/hl7:code
Item: (SpecimenCollection)
-->
<rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry/hl7:act[hl7:code[@code='10' and @codeSystem='1.2.40.0.34.5.11']]/hl7:entryRelationship[hl7:procedure[hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[(@code='ABS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='AMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ASP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BBL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BDY' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BIFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDCO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BLDV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BPU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRO' and @codeSystem='2.16.840.1.113883.5.129') or (@code='BRTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CALC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNJT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CNL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='COL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CSF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CTP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CUR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CVX' and @codeSystem='2.16.840.1.113883.5.129') or (@code='CYST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DIAF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DOSE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DRN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='DUFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EARW' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ELT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ENDM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EXG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='EYE' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FIST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FLU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='FOOD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GAST' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GEN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENF' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='GENV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='HAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IHG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ISLT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='IT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LAM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LIQ' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='LYM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MBLD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MEC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MILK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='MLK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NAIL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='NOS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAFL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLAS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PLR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PPP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRP' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='PUS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='RBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SAL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SER' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SKN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMN' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SMPLS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SNV' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPRM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SPTT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='STON' and @codeSystem='2.16.840.1.113883.5.129') or (@code='SWT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TEAR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='THRT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISPL' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TISU' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLGI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TLNG' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TSMI' and @codeSystem='2.16.840.1.113883.5.129') or (@code='TUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='ULC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UMED' and @codeSystem='2.16.840.1.113883.5.129') or (@code='UR' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URNS' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='URTH' and @codeSystem='2.16.840.1.113883.5.129') or (@code='USUB' and @codeSystem='2.16.840.1.113883.5.129') or (@code='VOM' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WAT' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WBC' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WICK' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WND' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDA' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDD' and @codeSystem='2.16.840.1.113883.5.129') or (@code='WNDE' and @codeSystem='2.16.840.1.113883.5.129')]]]/hl7:playingEntity/hl7:code"
         id="tmp-c874357b-8fc5-454e-88c6-d89b7811dd5f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SpecimenCollection): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_SpecimenType (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30021-2013-02-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SpecimenCollection): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_SpecimenType (DYNAMIC).</assert>
   </rule>
</pattern>
