<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.1.1
Name: DICOM Object Catalog Sektion Allgemein
Description: DICOM Object Catalog section. Muss angeführt werden wenn das Dokument Referenzen auf DICOM Bilder aufweist. Des Weiteren muss diese Sektion die erste Sektion des Dokuments sein.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000">
   <title>DICOM Object Catalog Sektion Allgemein</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]
Item: (DOCS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section
Item: (DOCS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section"
         id="tmp-7d402c7d-4e25-411c-8b71-e6fb4059f6b9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(DOCS): Der Wert von @classCode MUSS 'DOCSECT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1'])&gt;=1 ">(DOCS): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1'])&lt;=1">(DOCS): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(DOCS): Element hl7:code ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="count(hl7:code)&lt;=1">(DOCS): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="count(hl7:title)=0">(DOCS): Element hl7:title DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="count(hl7:text)=0">(DOCS): Element hl7:text DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]/@nullFlavor)">(DOCS): Element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]])&lt;=1">(DOCS): Element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']
Item: (DOCS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.10.20.6.1.1']"
         id="tmp-ad0865ad-6265-4db6-89ba-c5d0fdf64b9e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(DOCS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.6.1.1'">(DOCS): @root MUSS den Wert '2.16.840.1.113883.10.20.6.1.1' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:code
Item: (DOCS)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:code"
         id="tmp-a0c8c6be-0671-4ea0-8e90-13b6b63a25db">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(DOCS): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-2.16.840.1.113883.10.20.6.1.1-2012-01-12T000000.html"
              test="@nullFlavor or (@code='121181' and @codeSystem='1.2.840.10008.2.16.4' and @displayName='DICOM Object Catalog' and @codeSystemName='DCM')">(DOCS): Der Elementinhalt MUSS sein code '121181' codeSystem '1.2.840.10008.2.16.4' displayName='DICOM Object Catalog' codeSystemName='DCM'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:title
Item: (DOCS)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:text
Item: (DOCS)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.10.20.6.1.1']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.6']]]
Item: (DOCS)
--></pattern>
