<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.30001
Name: BodySection
Description: CDA Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.30001-2011-12-19T000000">
   <title>BodySection</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section
Item: (BodySection)
-->

<rule context="//section" id="tmp-26aa35ea-1f87-4a81-8bb7-c951e22992c9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:id)&lt;=1">(BodySection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:code)&lt;=1">(BodySection): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 ">(BodySection): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(BodySection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 ">(BodySection): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(BodySection): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:templateId
Item: (BodySection)
-->

<rule context="//section/hl7:templateId"
         id="tmp-5711933e-62f7-42fe-b57c-7a971837bc02">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:id
Item: (BodySection)
-->

<rule context="//section/hl7:id"
         id="tmp-703bc808-c33f-417a-bb70-a0fca926f94e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:code
Item: (BodySection)
-->

<rule context="//section/hl7:code"
         id="tmp-5a6d31f4-06a3-40b1-9ca1-0d7eba3e0b9e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:title
Item: (BodySection)
-->

<rule context="//section/hl7:title"
         id="tmp-68a1d4f6-c4d4-43db-a1c8-ffeb02108e5f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.30001-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(BodySection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ST" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:text
Item: (BodySection)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section
Item: (AuthorElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]"
         id="tmp-f51439c5-20a9-425d-8917-ec8141c1e7c5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(AuthorElements): Der Wert von @typeCode MUSS 'AUT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(AuthorElements): Der Wert von @contextControlCode MUSS 'OP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:functionCode)&lt;=1">(AuthorElements): Element hl7:functionCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:time)&gt;=1 ">(AuthorElements): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:time)&lt;=1">(AuthorElements): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 ">(AuthorElements): Element hl7:assignedAuthor ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(AuthorElements): Element hl7:assignedAuthor kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:functionCode
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:functionCode"
         id="tmp-db422706-330e-41d8-bbd7-609fb4db6e31">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:time
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:time"
         id="tmp-d9bc08ef-263f-4a54-ab10-d68e743a2989">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TS.DATE.MIN" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor"
         id="tmp-c3be0c35-f062-432e-acd9-1bf496224861">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'ASSIGNED' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(AuthorElements): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:code)&lt;=1">(AuthorElements): Element hl7:code kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedPerson|hl7:assignedAuthoringDevice)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="$elmcount&gt;=1">(AuthorElements): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="$elmcount&lt;=1">(AuthorElements): Auswahl (hl7:assignedPerson oder hl7:assignedAuthoringDevice) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(AuthorElements): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorElements): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthoringDevice)&gt;=1 and not(hl7:assignedAuthoringDevice/@nullFlavor)">(AuthorElements): Element hl7:assignedAuthoringDevice ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthoringDevice)&lt;=1">(AuthorElements): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">(AuthorElements): Element hl7:representedOrganization ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(AuthorElements): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:id
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:id"
         id="tmp-70e91e8b-c04f-41f3-a79e-92d65b969abb">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:code
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:code"
         id="tmp-f3c57ddf-deb5-4c5d-89ff-c66f69e3cc95">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "CE" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-1.2.40.0.34.10.6-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(AuthorElements): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_AuthorSpeciality (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(AuthorElements): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_AuthorSpeciality (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:telecom
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:telecom"
         id="tmp-21a970d3-8fc7-4312-98e3-2bca50cca313">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TEL" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor"
         id="tmp-d3d6f3ba-1f6b-407a-92fd-b907b30a8c35">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(AuthorElements): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(AuthorElements): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthoringDevice)&gt;=1 and not(hl7:assignedAuthoringDevice/@nullFlavor)">(AuthorElements): Element hl7:assignedAuthoringDevice ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:assignedAuthoringDevice)&lt;=1">(AuthorElements): Element hl7:assignedAuthoringDevice kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedPerson
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-87f824a7-7bc8-4735-acb7-f16ec866a488">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AuthorElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(AuthorElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-463f9129-c985-4f43-9a83-ebce46a545e7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='PN' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "PN" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedAuthoringDevice
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedAuthoringDevice"
         id="tmp-bac52306-7a8c-40f4-9231-3eeefcd19139">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@classCode)='DEV' or not(@classCode)">(AuthorElements): Der Wert von @classCode MUSS 'DEV' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(AuthorElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:manufacturerModelName)&lt;=1">(AuthorElements): Element hl7:manufacturerModelName kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:softwareName)&lt;=1">(AuthorElements): Element hl7:softwareName kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:manufacturerModelName"
         id="tmp-fa662094-2176-4842-b0bf-6fb762628218">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='SC' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "SC" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:assignedAuthoringDevice/hl7:softwareName"
         id="tmp-498cd2a7-966b-4e67-bf3a-9842a2ddab09">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='SC' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AuthorElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "SC" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90004
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization
Item: (AuthorElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-f8f562eb-67a6-487c-8c8b-99d6ac86d557">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AuthorElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(AuthorElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(AuthorElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-8b42cbcc-14d4-4cc8-bf75-6d23bef08347">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "II" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-d5b9129e-206e-4574-8904-d1a34b51b3da">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='ON' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "ON" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-f154be20-30a5-4a3d-8efe-13d263471274">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "TEL" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: //section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

<rule context="//section/hl7:author[hl7:assignedAuthor[hl7:code[(@code='100' and @codeSystem='1.2.40.0.34.5.2') or (@code='101' and @codeSystem='1.2.40.0.34.5.2') or (@code='102' and @codeSystem='1.2.40.0.34.5.2') or (@code='103' and @codeSystem='1.2.40.0.34.5.2') or (@code='104' and @codeSystem='1.2.40.0.34.5.2') or (@code='105' and @codeSystem='1.2.40.0.34.5.2') or (@code='106' and @codeSystem='1.2.40.0.34.5.2') or (@code='107' and @codeSystem='1.2.40.0.34.5.2') or (@code='108' and @codeSystem='1.2.40.0.34.5.2') or (@code='109' and @codeSystem='1.2.40.0.34.5.2') or (@code='110' and @codeSystem='1.2.40.0.34.5.2') or (@code='111' and @codeSystem='1.2.40.0.34.5.2') or (@code='112' and @codeSystem='1.2.40.0.34.5.2') or (@code='113' and @codeSystem='1.2.40.0.34.5.2') or (@code='114' and @codeSystem='1.2.40.0.34.5.2') or (@code='115' and @codeSystem='1.2.40.0.34.5.2') or (@code='116' and @codeSystem='1.2.40.0.34.5.2') or (@code='117' and @codeSystem='1.2.40.0.34.5.2') or (@code='118' and @codeSystem='1.2.40.0.34.5.2') or (@code='119' and @codeSystem='1.2.40.0.34.5.2') or (@code='120' and @codeSystem='1.2.40.0.34.5.2') or (@code='121' and @codeSystem='1.2.40.0.34.5.2') or (@code='122' and @codeSystem='1.2.40.0.34.5.2') or (@code='123' and @codeSystem='1.2.40.0.34.5.2') or (@code='124' and @codeSystem='1.2.40.0.34.5.2') or (@code='125' and @codeSystem='1.2.40.0.34.5.2') or (@code='126' and @codeSystem='1.2.40.0.34.5.2') or (@code='127' and @codeSystem='1.2.40.0.34.5.2') or (@code='128' and @codeSystem='1.2.40.0.34.5.2') or (@code='129' and @codeSystem='1.2.40.0.34.5.2') or (@code='130' and @codeSystem='1.2.40.0.34.5.2') or (@code='131' and @codeSystem='1.2.40.0.34.5.2') or (@code='132' and @codeSystem='1.2.40.0.34.5.2') or (@code='133' and @codeSystem='1.2.40.0.34.5.2') or (@code='134' and @codeSystem='1.2.40.0.34.5.2') or (@code='135' and @codeSystem='1.2.40.0.34.5.2') or (@code='136' and @codeSystem='1.2.40.0.34.5.2') or (@code='137' and @codeSystem='1.2.40.0.34.5.2') or (@code='138' and @codeSystem='1.2.40.0.34.5.2') or (@code='139' and @codeSystem='1.2.40.0.34.5.2') or (@code='140' and @codeSystem='1.2.40.0.34.5.2') or (@code='141' and @codeSystem='1.2.40.0.34.5.2') or (@code='142' and @codeSystem='1.2.40.0.34.5.2') or (@code='143' and @codeSystem='1.2.40.0.34.5.2') or (@code='144' and @codeSystem='1.2.40.0.34.5.2') or (@code='145' and @codeSystem='1.2.40.0.34.5.2') or (@code='146' and @codeSystem='1.2.40.0.34.5.2') or (@code='147' and @codeSystem='1.2.40.0.34.5.2') or (@code='148' and @codeSystem='1.2.40.0.34.5.2') or (@code='149' and @codeSystem='1.2.40.0.34.5.2') or (@code='150' and @codeSystem='1.2.40.0.34.5.2') or (@code='151' and @codeSystem='1.2.40.0.34.5.2') or (@code='152' and @codeSystem='1.2.40.0.34.5.2') or (@code='153' and @codeSystem='1.2.40.0.34.5.2') or (@code='154' and @codeSystem='1.2.40.0.34.5.2') or (@code='155' and @codeSystem='1.2.40.0.34.5.2') or (@code='156' and @codeSystem='1.2.40.0.34.5.2') or (@code='200' and @codeSystem='1.2.40.0.34.5.2') or (@code='201' and @codeSystem='1.2.40.0.34.5.2') or (@code='202' and @codeSystem='1.2.40.0.34.5.2') or (@code='203' and @codeSystem='1.2.40.0.34.5.2') or (@code='204' and @codeSystem='1.2.40.0.34.5.2') or (@code='205' and @codeSystem='1.2.40.0.34.5.2') or (@code='206' and @codeSystem='1.2.40.0.34.5.2') or (@code='207' and @codeSystem='1.2.40.0.34.5.2') or (@code='208' and @codeSystem='1.2.40.0.34.5.2') or (@code='209' and @codeSystem='1.2.40.0.34.5.2') or (@code='210' and @codeSystem='1.2.40.0.34.5.2') or (@code='211' and @codeSystem='1.2.40.0.34.5.2') or (@code='212' and @codeSystem='1.2.40.0.34.5.2') or (@code='213' and @codeSystem='1.2.40.0.34.5.2') or (@code='214' and @codeSystem='1.2.40.0.34.5.2') or (@code='215' and @codeSystem='1.2.40.0.34.5.2') or (@code='216' and @codeSystem='1.2.40.0.34.5.2') or (@code='300' and @codeSystem='1.2.40.0.34.5.2') or (@code='301' and @codeSystem='1.2.40.0.34.5.2') or (@code='302' and @codeSystem='1.2.40.0.34.5.2') or (@code='303' and @codeSystem='1.2.40.0.34.5.2') or (@code='304' and @codeSystem='1.2.40.0.34.5.2') or (@code='305' and @codeSystem='1.2.40.0.34.5.2') or (@code='306' and @codeSystem='1.2.40.0.34.5.2') or (@code='307' and @codeSystem='1.2.40.0.34.5.2') or (@code='308' and @codeSystem='1.2.40.0.34.5.2') or (@code='309' and @codeSystem='1.2.40.0.34.5.2') or (@code='310' and @codeSystem='1.2.40.0.34.5.2') or (@code='311' and @codeSystem='1.2.40.0.34.5.2') or (@code='312' and @codeSystem='1.2.40.0.34.5.2') or (@code='313' and @codeSystem='1.2.40.0.34.5.2') or (@code='318' and @codeSystem='1.2.40.0.34.5.2') or (@code='314' and @codeSystem='1.2.40.0.34.5.2') or (@code='315' and @codeSystem='1.2.40.0.34.5.2') or (@code='316' and @codeSystem='1.2.40.0.34.5.2') or (@code='317' and @codeSystem='1.2.40.0.34.5.2') or (@code='400' and @codeSystem='1.2.40.0.34.5.2') or (@code='401' and @codeSystem='1.2.40.0.34.5.2') or (@code='402' and @codeSystem='1.2.40.0.34.5.2') or (@code='403' and @codeSystem='1.2.40.0.34.5.2') or (@code='404' and @codeSystem='1.2.40.0.34.5.2') or (@code='405' and @codeSystem='1.2.40.0.34.5.2') or (@code='406' and @codeSystem='1.2.40.0.34.5.2') or (@code='407' and @codeSystem='1.2.40.0.34.5.2') or (@code='408' and @codeSystem='1.2.40.0.34.5.2') or (@code='500' and @codeSystem='1.2.40.0.34.5.2') or (@code='501' and @codeSystem='1.2.40.0.34.5.2') or (@code='502' and @codeSystem='1.2.40.0.34.5.2')]]]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-1f042ff7-fd73-4607-aef4-85aecd573d81">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130417T151329/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="@nullFlavor or ($xsiLocalName='AD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "AD" haben, gefunden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30001
Context: //section/hl7:entry
Item: (BodySection)
-->
</pattern>
